#!/bin/bash

if [ ! -d make-scripts ]
then
    echo Must be launched from the upper dir
    exit
fi

make -C common_lib $* || { echo making common_lib failed; exit 1; }

for d in system/* barrier
do
    test -f $d/Makefile || continue
    echo CONSIDERING $d
    rm -rf $d/common_lib
    make -C $d $* || { echo making $d failed; exit 2; }
done

exit 0
