rm -f make-scripts/*log
bash make-scripts/unbuild.sh
bash make-scripts/build.sh
for d in user #redis redis_fake
do
    #compile with CMD
    docker compose run $d
done

docker compose run -T monitor psql template1  -h psql -Upostgres -f db.1.sql > make-scripts/psql.log 2>&1
sleep 1
for i in redis/6379 redis_fake/6381 #6381 6379
do
    host=`dirname $i`
    port=`basename $i`
    for j in 1 2 3
    do
	echo Before $host $port $j
	docker ps -a | grep redis
	echo "cd tmp; g++ -ggdb client.cpp -lhiredis -oclient; ./client $host $port" | docker compose run -T user bash > make-scripts/user.$host.$port.$j.log 2>&1 
    done
done
