#!/bin/bash

if [ "$(docker ps -aq)" != "" ]
then
    docker rm -f $(docker ps -aq)
fi

images=$(docker images | awk '($1 ~ /ctr|sub_ctr|redis|user|postgres|drone|monitor/) {print $3}')
if [ "$images" != "" ]
then
    docker rmi $images 
fi
